Subject: [pim] Security Considerations in PORT

From: "Bhatia, Manav (Manav)" <[email-masked]>
Date: Sat, 5 Feb 2011 07:17:44 +0530

Hi,

The draft says the following:

"Transport connections can be authenticated using HMACs MD5 and SHA-1 similar to use in BGP [RFC4271] and MSDP [RFC3618]."

Both RFC 4271 and 3618 use TCP MD5 [RFC2328] which has been recently obsoleted by a new TCP Authentication Option (TCP-AO) [RFC 5925].  RFC 5925 specifies the use of stronger Message Authentication Codes (MACs), protects against replays even for long-lived TCP connections, and provides more details than TCP-MD5 on the association of security with TCP connections.  It allows rekeying during a TCP connection, assuming that an out-of-band protocol or manual mechanism provides the new keys.  Note that TCP MD5 does not preclude rekeying during a connection, but does not require its support either.  Further, TCP-AO supports key changes with zero segment loss, whereas key changes in TCP MD5 can lose segments in transit during the changeover or require trying multiple keys on each received segment during key use overlap because TCP MD5 lacks an explicit Key ID.  Although TCP recovers lost segments through retransmission, loss can have a substantial impact on performance.

It would thus be prudent to rewrite the Security Considerations section and suggest using TCP-AO to protect the transport connections.

Cheers, Manav